'use strict';
const co = require('co');
const prompt = require('co-prompt');
const config = require('../templates');
const chalk = require('chalk');
const fs = require('fs');

module.exports = () => {
 	co(function *() {
  	let tplName = yield prompt('模板名: ');

  	if (config.tpl[tplName]) {
      config.tpl[tplName] = undefined;
    } else {
      console.log(chalk.red(' × 模板不存在，无需删除!'));
      process.exit();
    }

		fs.writeFile(__dirname + '/../templates.json', JSON.stringify(config), 'utf-8', err => {
			if (err) console.log(err)
			console.log(chalk.green(' √ 模板删除成功!'));
      console.log(chalk.yellow('你可以通过 xm list 来查看已有模板!\n'));
			process.exit();
		});
  });
};